## org.apache.axis.ime.internal
Class MessageExchangeProvider

    java.lang.Object
      |
      +--org.apache.axis.ime.internal.MessageExchangeProvider

All Implemented Interfaces:
  MessageExchangeFactory

Direct Known Subclasses:
  HandlerMessageExchange

public abstract class MessageExchangeProvider
extends java.lang.Object
implements MessageExchangeFactory

Author:
  James M Snell (jasnell@us.ibm.com), Ray Chun (rchun@sonicsoftware.com)

Nested Class Summary
`static class` `MessageExchangeProvider.MessageReceiver`
`static class` `MessageExchangeProvider.MessageSender`

Field Summary
`static long` `DEFAULT_THREAD_COUNT`
`protected boolean` `initialized`
`protected static org.apache.commons.logging.Log` `log`
`protected KeyedBuffer` `RECEIVE`
`protected KeyedBuffer` `RECEIVE_REQUESTS`
`protected Handler` `receiveHandler`
`static long` `SELECT_TIMEOUT`
`protected KeyedBuffer` `SEND`
`protected Handler` `sendHandler`
`protected ThreadPool` `WORKERS`

Constructor Summary
`MessageExchangeProvider()`

Method Summary
`void` `awaitShutdown()`
`void` `awaitShutdown(long shutdown)`
`void` `cleanup()`
`void` `clearOptions()` Unsupported for now
`MessageExchange` `createMessageExchange()`
`MessageExchange` `createMessageExchange(java.util.Hashtable options)`
`protected abstract MessageExchangeEventListener` `getMessageExchangeEventListener()`
`java.lang.Object` `getOption(java.lang.String propertyId)` Unsupported for now
`java.lang.Object` `getOption(java.lang.String propertyId, java.lang.Object defaultValue)` Unsupported for now
`java.util.Hashtable` `getOptions()` Unsupported for now
`protected abstract ReceivedMessageDispatchPolicy` `getReceivedMessageDispatchPolicy()`
`Handler` `getReceiveHandler()`
`Handler` `getSendHandler()`
`void` `init()`
`void` `init(long THREAD_COUNT)`
`void` `processReceive(MessageExchangeReceiveContext context)`
`void` `processSend(MessageExchangeSendContext context)`
`void` `setOption(java.lang.String propertyId, java.lang.Object propertyValue)` Unsupported for now
`void` `setOptions(java.util.Hashtable properties)` Unsupported for now
`void` `setReceiveHandler(Handler handler)`
`void` `setSendHandler(Handler handler)`
`void` `shutdown()`
`void` `shutdown(boolean force)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

### SELECT_TIMEOUT

    public static final long SELECT_TIMEOUT

See Also:
  Constant Field Values

### DEFAULT_THREAD_COUNT

    public static final long DEFAULT_THREAD_COUNT

See Also:
  Constant Field Values

### WORKERS

    protected final ThreadPool WORKERS

### SEND

    protected final KeyedBuffer SEND

### RECEIVE

    protected final KeyedBuffer RECEIVE

### RECEIVE_REQUESTS

    protected final KeyedBuffer RECEIVE_REQUESTS

### sendHandler

    protected Handler sendHandler

### receiveHandler

    protected Handler receiveHandler

### initialized

    protected boolean initialized

Constructor Detail

### MessageExchangeProvider

    public MessageExchangeProvider()

Method Detail

### getSendHandler

    public Handler getSendHandler()

### getReceiveHandler

    public Handler getReceiveHandler()

### setSendHandler

    public void setSendHandler(Handler handler)

### setReceiveHandler

    public void setReceiveHandler(Handler handler)

### getMessageExchangeEventListener

    protected abstract MessageExchangeEventListener getMessageExchangeEventListener()

### getReceivedMessageDispatchPolicy

    protected abstract ReceivedMessageDispatchPolicy getReceivedMessageDispatchPolicy()

### createMessageExchange

    public MessageExchange createMessageExchange()
                                          throws AxisFault

  Specified by:
    `createMessageExchange` in interface `MessageExchangeFactory`
  Returns:
    MessageExchange
  Throws:
    `AxisFault`

### createMessageExchange

    public MessageExchange createMessageExchange(java.util.Hashtable options)
                                          throws AxisFault

  Specified by:
    `createMessageExchange` in interface `MessageExchangeFactory`
  Returns:
    ConfigurableMessageExchange
    `AxisFault`

### cleanup

    public void cleanup()
                 throws java.lang.InterruptedException

    `java.lang.InterruptedException`

### init

    public void init()

### init

    public void init(long THREAD_COUNT)

### processReceive

    public void processReceive(MessageExchangeReceiveContext context)

### processSend

    public void processSend(MessageExchangeSendContext context)

### shutdown

    public void shutdown()

### shutdown

    public void shutdown(boolean force)

### awaitShutdown

    public void awaitShutdown()
                       throws java.lang.InterruptedException

    `java.lang.InterruptedException`

### awaitShutdown

    public void awaitShutdown(long shutdown)
                       throws java.lang.InterruptedException

    `java.lang.InterruptedException`

### setOption

    public void setOption(java.lang.String propertyId,
                          java.lang.Object propertyValue)

  Unsupported for now

  See Also:

### getOption

    public java.lang.Object getOption(java.lang.String propertyId)

  Unsupported for now

  See Also:

### getOption

    public java.lang.Object getOption(java.lang.String propertyId,
                                      java.lang.Object defaultValue)

  Unsupported for now

  See Also:

### getOptions

    public java.util.Hashtable getOptions()

  Unsupported for now

  See Also:

### setOptions

    public void setOptions(java.util.Hashtable properties)

  Unsupported for now

  See Also:

### clearOptions

    public void clearOptions()

  Unsupported for now

  See Also:

Copyright © 2003 Apache Web Services Project. All Rights Reserved.